
function demo_II
% demo sulla soluzione di f(x)=0 mediante il metodo di Steffensen.

% dati
f=@(x) log(x)-1;
toll=10^(-6);
maxit=1000;

% valore iniziale
x0=2.8;

% metodo di Steffensen
[x,fx,wr,flag]=metodo_steffensen(f,x0,toll,maxit);

sol=exp(1);

err=abs(x-sol);

% stampa dati su file
fid=fopen('risultati2.txt','w');
for k=1:length(err)
fprintf(fid,'\n \t i: %4.0f err: %1.4e',k,err(k));
end
fclose(fid);

